package net.cobem.grizzly.habbohotel.rooms.items.interactions.roleplay;

import net.cobem.grizzly.Grizzly;
import net.cobem.grizzly.habbohotel.rooms.items.interactions.Interaction;
import net.cobem.grizzly.habbohotel.sessions.Session;

public class WorkoutMachineInteraction implements Interaction {
    @Override
    public void onPlace(Session Session, Object Item) {
    }

    @Override
    public void onRemove(Session Session, Object Item) {
    }

    @Override
    public void onTrigger(Session Session, Object Item, int Request) {
        if (Grizzly.roleplayEnabled() && !Session.getRoleplay().isWorkingOut()) {
            Session.getRoleplay().startWorkingOut();
        }
    }

    @Override
    public void onCycle(Object Item) {
    }
}
